[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[libvirt-users] problem w/ libvirt-0.8.2-15.el5 and CentOS



I am running the Eucalyptus 2.0 cloud computing platform on an up-to-date CentOS 5 using the xen hypervisor. While attempting to attach a volume successfully created using jclouds with eucalyptus to a running VM instance, I encountered the following error:

          libvirt: Requested operation is not valid: Xm driver only supports modifying persistent config (code=55)

i also tried attaching manually (i.e. euca-atttach-volume) and experienced the same failure.

i found this discussion which mentions a possible libvirt/xen problem:

https://bugzilla.redhat.com/show_bug.cgi?format=multiple&id=662908

however it does not appear that the fix is available for public consumption (at least i couldn't find it). 


from the Eucalyptus nc.log:

[Tue Jul 19 22:16:47 2011][005714][EUCAINFO ] doAttachVolume() invoked (id=i-4DA80924 vol=vol-59CF0630 remote=/dev/etherd/e0.12 local=/dev/sda2)
[Tue Jul 19 22:16:48 2011][005714][EUCAERROR ] libvirt: Requested operation is not valid: Xm driver only supports modifying persistent config (code=55)
[Tue Jul 19 22:16:48 2011][005714][EUCAERROR ] AttachVolume() failed (err=-1) XML=
[Tue Jul 19 22:16:48 2011][005714][EUCAERROR ] ERROR: doAttachVolume() failed error=1


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]